# eric4.Plugins.WizardPlugins.PyRegExpWizard.PyRegExpWizardRepeatDialog

Module implementing a dialog for entering repeat counts.

### Global Attributes

None

### Classes

PyRegExpWizardRepeatDialog | Class implementing a dialog for entering repeat counts.

### Functions

None

## PyRegExpWizardRepeatDialog

Class implementing a dialog for entering repeat counts.

### Derived from

QDialog, Ui_PyRegExpWizardRepeatDialog

### Class Attributes

None

### Class Methods

None

### Methods

PyRegExpWizardRepeatDialog | Constructor
getRepeat | Public method to retrieve the dialog's result.
on_lowerSpin_valueChanged | Private slot to handle the lowerSpin valueChanged signal.
on_upperSpin_valueChanged | Private slot to handle the upperSpin valueChanged signal.

### Static Methods

None

#### PyRegExpWizardRepeatDialog (Constructor)

PyRegExpWizardRepeatDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

#### PyRegExpWizardRepeatDialog.getRepeat

getRepeat()

Public method to retrieve the dialog's result.

Returns:
  ready formatted repeat string (string)

#### PyRegExpWizardRepeatDialog.on_lowerSpin_valueChanged

on_lowerSpin_valueChanged(value)

Private slot to handle the lowerSpin valueChanged signal.

value
  value of the spinbox (integer)

#### PyRegExpWizardRepeatDialog.on_upperSpin_valueChanged

on_upperSpin_valueChanged(value)

Private slot to handle the upperSpin valueChanged signal.

value
  value of the spinbox (integer)

Up